
/* contact us page code */

*{
    margin:0;
    padding:0;
}
.services-hero{
  position: relative;
  height: 70vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  background: linear-gradient(135deg,#1d1a55,#2e2488,#363669);
  color: white;
  overflow: hidden;
  padding: 20px;
}

.hero-overlay{
  position:absolute;
  width:100%;
  height:100%;
  background:rgba(0,0,0,0.4);
  top:0;
  left:0;
}

/* content */

.hero-content{
  position: relative;
  max-width: 800px;
  z-index: 2;
  animation: fadeUp 1.2s ease;
}

.hero-content h1{
  font-size: 55px;
  margin-bottom: 20px;
}

.hero-content p{
  font-size: 18px;
  line-height: 1.7;
}

/* floating shapes */

.shapes span{
  position:absolute;
  width:80px;
  height:80px;
  background: rgba(255,255,255,0.1);
  animation: float 8s linear infinite;
}

/* positions */

.shapes span:nth-child(1){
  top:10%;
  left:15%;
}

.shapes span:nth-child(2){
  bottom:20%;
  right:10%;
  width:120px;
  height:120px;
}

.shapes span:nth-child(3){
  top:60%;
  left:5%;
}

.shapes span:nth-child(4){
  top:20%;
  right:25%;
}

/* animations */

@keyframes float{
  0%{
    transform: translateY(0) rotate(0deg);
  }
  50%{
    transform: translateY(-30px) rotate(180deg);
  }
  100%{
    transform: translateY(0) rotate(360deg);
  }
}

@keyframes fadeUp{
  from{
    opacity:0;
    transform:translateY(40px);
  }
  to{
    opacity:1;
    transform:translateY(0);
  }
}

.contact-section {
  padding: 60px 10px;
  display: flex;
  justify-content: center;
  background: #dbdfdb;
}

.contact-card-horizontal {
 background: #ffffff;
  width: 100%;
  max-width: 1200px;
  padding: 40px 30px;
  border-radius: 20px;
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.08);

  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
  flex-wrap: wrap;
  transition: 0.4s ease;
}

.contact-card-horizontal:hover {
 will-change: transform;
  box-shadow: 0 25px 50px rgba(0, 0, 0, 0.15);
}

.contact-item {
  display: flex;
  align-items: center;
  gap: 15px;
  min-width: 220px;
}

.contact-item .icon {
  font-size: 35px;
}

.contact-item h4 {
  margin: 0;
  font-size: 17px;
  font-weight:600;
  color: #222;
}

.contact-item p {
  margin: 3px 0 0;
  font-size: 16px;
  font-weight:600;
  color: #4f514f;
}

/* Responsive */
@media (max-width:1024px){
.services-hero{
  height:55vh;
}

.hero-content h1{
  font-size:44px;
}

.hero-content p{
  font-size:16px;
}

.shapes span{
  width:70px;
  height:70px;
}
.contact-card-horizontal{
justify-content:center;
gap:25px;
}

.contact-item{
min-width:200px;
}
.contact-item .icon{
font-size:25px;
}
}


@media (max-width:768px){
.services-hero{
  height:50vh;
  padding:15px;
}

.hero-content h1{
  font-size:34px;
}

.hero-content p{
  font-size:17px;
}

.shapes span{
  width:55px;
  height:55px;
}

.shapes span:nth-child(2){
  width:80px;
  height:80px;
}
.contact-card-horizontal{
padding:35px 25px;
justify-content:center;
gap:20px;
}

.contact-item{
min-width:180px;
}

.contact-item .icon{
font-size:30px;
}

.contact-item h4{
font-size:16px;
}

.contact-item p{
font-size:15px;
}

}


@media (max-width:480px){
 .services-hero{
  height:60vh;
  padding:70px 15px;
}

.hero-content h1{
  font-size:29px;
  margin-bottom:15px;
}

.hero-content p{
  font-size:16px;
  line-height:1.6;
}

.shapes span{
  width:60px;
  height:60px;
}

.shapes span:nth-child(2){
  width:80px;
  height:80px;
}
.contact-section{
padding:50px 15px;
}

.contact-card-horizontal{
flex-direction:column;
align-items:flex-start;
padding:40px 20px;
gap:18px;
}

.contact-item{
width:100%;
}

.contact-item .icon{
font-size:20px;
}

.contact-item h4{
font-size:17px;
}

.contact-item p{
font-size:14px;
}

}


/* contact map and form */

.contact-container{
  max-width:1200px;
  margin:auto;
  padding:50px;
  border-radius:15px;
  display:grid;
  background:#c7c6c9d9;
  grid-template-columns:1fr 1fr;
  gap:40px;
}

.contact-form{
  background:white;
  padding:40px;
  border-radius:10px;
  box-shadow:0 10px 25px rgba(0,0,0,0.08);
}

.contact-form h2{
  margin-bottom:25px;
  color:#141f7e;
  font-weight:600;
}

.contact-form input,
.contact-form textarea{
  width:100%;
  padding:12px;
  margin-bottom:15px;
  border:1px solid #ddd;
  border-radius:6px;
  font-size:15px;
}

.contact-form button{
  background: linear-gradient(to top , #525ebd, #0b18a1);
  color:white;
  border:none;
  padding:10px 23px;
  border-radius:6px;
  cursor:pointer;
  font-size:16px;
}

.contact-form button:hover{
  background: linear-gradient(90deg , #525ebd, #0b18a1);
}



/* MAP */

.contact-map{
  height:540px;
  border-radius:10px;
  overflow:hidden;
  box-shadow:0 10px 25px rgba(0,0,0,0.08);
}

.contact-map iframe{
  width:100%;
  height:100%;
  border:0;
}


/* ===================== */
/* Laptop */
/* ===================== */

@media (max-width:1024px){

.contact-section{
  padding:70px 8%;
}

.contact-container{
  gap:30px;
}

.contact-form{
  padding:35px;
}

.contact-map{
  height:600px;
}

}


/* ===================== */
/* Tablet */
/* ===================== */

@media (max-width:768px){

.contact-section{
  padding:60px 7%;
}

.contact-container{
  grid-template-columns:1fr;
  padding:10px;
}

.contact-form{
  padding:30px;
}

.contact-map{
  height:400px;
}

.contact-form h2{
  font-size:24px;
}

}


/* ===================== */
/* Mobile */
/* ===================== */

@media (max-width:480px){

.contact-section{
  padding:50px 5%;
}
.container{
    padding:30px;
}
.contact-form{
  padding:25px;
}

.contact-form input,
.contact-form textarea{
  font-size:15px;
  padding:10px;
}

.contact-form button{
  font-size:16px;
  padding:11px 18px;
}

.contact-map{
  height:320px;
}

}


/* WHATSAPP FLOAT BUTTON */
.whatsapp-btn{
  position:fixed;
  bottom:25px;
  right:25px;

  width:60px;
  height:60px;

  background:#25D366;
  color:white;

  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;

  font-size:32px;
  text-decoration:none;

  box-shadow:0 5px 15px rgba(0,0,0,0.3);

  z-index:999;
  transition:0.4s ease;

  animation:whatsappPulse 1.5s infinite;
}

/* HOVER */
.whatsapp-btn:hover{
  transform:scale(1.1);
  background:#1ebe5d;
}

/* PULSE ANIMATION */
@keyframes whatsappPulse{

  0%{
    box-shadow:0 0 0 0 rgba(37,211,102,0.7);
  }

  70%{
    box-shadow:0 0 0 18px rgba(37,211,102,0);
  }

  100%{
    box-shadow:0 0 0 0 rgba(37,211,102,0);
  }

}

/* MOBILE */
@media(max-width:480px){

  .whatsapp-btn{
    width:55px;
    height:55px;
    font-size:28px;
    bottom:20px;
    right:20px;
  }

}

